Autor Tópico: Não consigo instalar SlideWall no Ubuntu Mate  (Lida 646 vezes)

Offline ryuke

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Não consigo instalar SlideWall no Ubuntu Mate
« Online: 12 de Março de 2017, 21:21 »
Fala galera!
Uso Linux já faz algum tempo, mas sou um home user, não conheço muito de comandos e tal, uso apenas para coisas pessoais.
Atualmente uso o UbuntuMate 16.04.2 LTS (Xenial Xerus) 64-bit
Kernel Linux 4.4.0-66-generic x86_64
MATE 1.12.1

Estou tentando instalar o software Slidewall, para usar papéis de parede interativos. Já consegui instalar o programa, ele aparece no menu, mas quando clicado não funciona. Rodei no terminal para ver o que aparece e as seguintes informações foram apresentadas:

Código: [Selecionar]
ryuke@RyukeDesktop:~$ /opt/extras.ubuntu.com/slidewall/bin/slidewall
/opt/extras.ubuntu.com/slidewall/slidewall/__init__.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk # pylint: disable=E0611
/opt/extras.ubuntu.com/slidewall/slidewall_lib/Builder.py:20: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3 as appindicator
/opt/extras.ubuntu.com/slidewall/slidewall_engine/NotifyEngine.py:16: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
WARNING:slidewall_lib: connect_signals() 'expected handler 'bt' in /opt/extras.ubuntu.com/slidewall/slidewall/SlidewallWindow.pyc'





Loading...



{'new wallbase': '/opt/extras.ubuntu.com/slidewall/share/slidewall/media/new.png', 'live earth': '/opt/extras.ubuntu.com/slidewall/share/slidewall/media/map.png', 'random wallbase': '/opt/extras.ubuntu.com/slidewall/share/slidewall/media/random.png'}

with keys:['new wallbase', 'live earth', 'random wallbase']
Loading::/opt/extras.ubuntu.com/slidewall/share/slidewall/media/new.png
Loading::/opt/extras.ubuntu.com/slidewall/share/slidewall/media/map.png
Loading::/opt/extras.ubuntu.com/slidewall/share/slidewall/media/random.png
liveengine::lists of clocks['goldflame', 'soundwave', 'radarblue', 'lcd_blue']
Loading::/home/ryuke/.local/share/slidewall/live/goldflame
Loading::/home/ryuke/.local/share/slidewall/live/soundwave
Loading::/home/ryuke/.local/share/slidewall/live/radarblue
Loading::/home/ryuke/.local/share/slidewall/live/lcd_blue

(slidewall:7961): Gtk-WARNING **: /build/gtk+3.0-6ZPWga/gtk+3.0-3.18.9/./gtk/gtkwidget.c:4459: child-property-changed notification for GtkIconView(0x2a6a4f0) is not frozen

(slidewall:7961): GLib-GIO-ERROR **: Settings schema 'com.canonical.indicator.datetime' is not installed

Trace/breakpoint trap (imagem do núcleo gravada)

Alguém poderia me ajudar?
Agradeço desde já!

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Não consigo instalar SlideWall no Ubuntu Mate
« Resposta #1 Online: 13 de Março de 2017, 00:17 »
Instalei aqui a ppa do Slidewall num live-iso do Ubuntu 16.04.2 padrão (=Unity) e também não funcionou.

A instalação ocorre sem nenhuma mensagem de erro, porém uma vez instalado, clicando-se no ícone no Dash, o programa simplesmente não funciona.
Até ameaça iniciar, aparece o ícone na barra de ícones, depois desaparece não funciona.

Vendo a ppa no launchpad observo que este pacote não tem nenhuma espécie de atualização há "Latest updates slidewall 46 weeks ago", o que é praticamente um ano sem nada, sem nenhuma manutenção. Estou achando que o projeto está mesmo é meio abandonado pelo seu autor desenvolvedor, questão de ver.

https://launchpad.net/~fioan89/+archive/ubuntu/slidewall

Desinstalei a ppa  usando o ppa-purge, que evidentemente precisa estar instalado.

sudo apt install ppa-purge

sudo ppa-purge ppa:fioan89/slidewall

Isso só vale se instalou a ppa, claro que se originalmente instalou atraves do pacote deb precisa usar o dpkg para desinstalar.

Como alternativa experimente o Variety, está nos repositórios normais.

Código: [Selecionar]
sudo apt install variety
Tem vários aspectos configuráveis nele.



Embora não use regularmente, instalei aqui igualmente no mesmo live-iso e parece estar funcionando bem.

Não experimentei instalar no Ubuntu-Mate

Experimentei também num live-iso do ubuntu-mate, funcionando também.
« Última modificação: 13 de Março de 2017, 14:52 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline ryuke

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re:Não consigo instalar SlideWall no Ubuntu Mate
« Resposta #2 Online: 15 de Março de 2017, 06:44 »
Agradeço profundamente pela resposta muito completa e elaborada! :D
Queria usar os live-wallpapers que se pode baixar pelo slidewall, mas vou experimentar o Variety.

Muito obrigado!

EDIT: Como marco como Resolvido?
« Última modificação: 15 de Março de 2017, 06:48 por ryuke »